/// @description Insert code

if ((keyboard_lastkey >= 33 && keyboard_lastkey <= 90 && string_length(command) < 45) ||
	keyboard_lastkey == vk_space) {
	command += chr(keyboard_lastkey);
	typeOffset += typeOffsetAmount;
} else {
	if (keyboard_lastkey == vk_backspace && string_length(command) > 0) {
		command = string_delete(command, string_length(command), 1);
		typeOffset -= typeOffsetAmount;
	}
	
	if (keyboard_lastkey == vk_enter) {
		switch (command) {
			case "LOOK AROUND":
			case "LOOK":
				global.answer = global.roomstate;
				break;
				
			case "TAKE MEDKITS":
			case "GRAB MEDKITS":
			case "TAKE MEDICINE":
			case "GRAB MEDICINE":
				if (global.hasMedkits) {
					audio_play_sound(snd_medpack, 1, 0);
					global.hasMedkits = 0;
					if (obj_storyGame.hitpoints >= 50) {
						global.answer = "THE MEDKITS SIMPLY VANISH AS YOU ARE AT FULL HEALTH.";
					} else {
						global.answer = "YOU TAKE THE MEDKITS."
						obj_storyGame.points += 200;
						obj_storyGame.hitpoints += global.randAmount * 7;
						
						if (obj_storyGame.hitpoints >= 50) {
							obj_storyGame.hitpoints = 50;
							global.answer = "YOU TAKE THE MEDKITS, MAXING OUT YOUR HEALTH."
						}
					}
				} else {
					global.answer = "THERE ARE NO MEDKITS TO TAKE.";
				}
				break;
				
			case "TAKE AMMO":
			case "GRAB AMMO":
			case "TAKE AMMUNITION":
			case "GRAB AMMUNITION":
				if (global.hasAmmo) {
					audio_play_sound(snd_medpack, 1, 0);
					global.answer = "YOU TAKE THE AMMO."
					global.hasAmmo = 0;
					obj_storyGame.bullets += global.randAmount * 6;
					obj_storyGame.points += 500;
				} else {
					global.answer = "THERE IS NO AMMO TO TAKE.";
				}
				break;
				
			case "GO":
			case "CONTINUE":
			case "LEAVE ROOM":
			case "LEAVE":
			case "GO TO NEXT ROOM":
				if (global.encounterStatus != encounterState.ENCOUNTER) {
					obj_storyGame.alarm[0] = 2;
					global.answer = "";
					
					if (irandom(10) < encounterProb) {
						obj_storyGame.alarm[1] = 2;
					}
				} else {
					global.answer = "YOU CAN'T LEAVE DURING A FIGHT!";
				}
				break;
				
			case "CHECK FOR ENEMIES":
			case "CHECK ROOM":
			case "CHECK":
				if (global.encounterStatus != encounterState.ENCOUNTER) {
					if (global.isLarge) {
						if (irandom(10) < 5) {
							global.answer = "YOU CAN'T MAKE OUT ANY ENEMIES AS THE ROOM IS TOO LARGE.";
						} else {
							if (irandom(10) < encounterProb) {
								obj_storyGame.alarm[1] = 2;
							}  else {
								global.answer = "THERE ARE NO ENEMIES NEARBY.";
							}
						}
					} else if (global.isBright) {
						if (irandom(10) < 4) {
							global.answer = "YOU CAN'T MAKE OUT ANY ENEMIES AS THE ROOM IS TOO BRIGHT.";
						} else {
							if (irandom(10) < encounterProb) {
								obj_storyGame.alarm[1] = 2;
							}  else {
								global.answer = "THERE ARE NO ENEMIES NEARBY.";
							}
						}
					} else {
						if (!global.roomChecked) {
							if (irandom(10) < encounterProb) {
								obj_storyGame.alarm[1] = 2;
							} else {
								global.answer = "THERE ARE NO ENEMIES NEARBY.";
							}
						} else {
							global.answer = "YOU CHECKED THIS ROOM ALREADY.";
						}
						global.roomChecked = 1;
					}
				} else {
					global.answer = "YOU ARE IN A FIGHT ALREADY!";
				}
				break;
				
			case "FIGHT":
			case "SHOOT":
			case "BATTLE":
			case "ATTACK":
				if (global.encounterStatus == encounterState.ENCOUNTER) {
					if (instance_exists(obj_encounter)) {
						if (!global.grenadeEncounter) {
							if (obj_storyGame.bullets > 0) {
								global.encounterStatus = encounterState.ENCOUNTER_WON;
								obj_storyGame.alarm[2] = 2;
							} else {
								global.encounterStatus = choose(encounterState.ENCOUNTER_WON, encounterState.ENCOUNTER_LOST);
								obj_storyGame.alarm[2] = 2;
							}
						} else {
							audio_play_sound(choose(snd_explosion1, snd_explosion2, snd_explosion3, snd_explosion4, snd_explosion5), 1, 0);
							var splashDmg = irandom_range(33, 45);
							obj_storyGame.reason = "SHOOTING A GRENADE";
							
							obj_storyGame.hitpoints -= splashDmg;
							if (obj_storyGame.hitpoints <= 0) {
								obj_storyGame.hitpoints = 0;
							}
							
							global.encounterStatus = encounterState.NO_ENCOUNTER;
							global.answer = "THE GRENADE EXPLODES AS YOU SHOOT IT, DEALING A LOT OF DAMAGE! (LOST " + string(splashDmg) + "HP)";
						}
						
						with (obj_encounter) {
							instance_destroy();
						}
					}
				} else {
					if (obj_storyGame.bullets > 0) {
						global.answer = "YOU RANDOMLY FIRE YOUR GUN.";
						obj_storyGame.bullets--;
					} else {
						global.answer = "YOUR GUN MAKES A CLICKING SOUND AS YOU PULL THE TRIGGER.";
					}
					audio_play_sound(snd_shoot, 1, 0);
				}
				break;
				
			case "THROW BACK":
				if (global.grenadeEncounter) {
					if (instance_exists(obj_encounter)) {
						audio_play_sound(choose(snd_explosion1, snd_explosion2, snd_explosion3, snd_explosion4, snd_explosion5), 1, 0);
						global.encounterStatus = encounterState.NO_ENCOUNTER;
						global.grenadeEncounter = 0;
						global.answer = "YOU MANAGE TO THROW THE GRENADE BACK, KILLING YOUR ATTACKER!";
						obj_storyGame.reflexLvl++;
						
						with (obj_encounter) {
							instance_destroy();
						}
					}
				} else {
					global.answer = "THERE IS NOTHING TO THROW.";
				}
				break;
				
			case "HELP":
			case "COMMANDS":
			case "CMD":
				global.answer = "COMMANDS: LOOK AROUND, CHECK, OPEN, TAKE, LEAVE, SHOOT, THROW BACK";
				break;
				
			case "SEARCH CRATES":
			case "OPEN CRATES":
			case "CHECK CRATES":
			case "LOOK AT CRATES":
				if (global.hasCrates) {
					if (!global.cratesOpened) {
						global.cratesOpened = 1;
						audio_play_sound(snd_crate, 1, 0);
						switch (irandom(3)) {
							case 0:
								global.answer = "YOU OPEN THE CRATES. THEY APPEAR TO BE EMPTY.";
								break;
							case 1:
								global.answer = "YOU OPEN THE CRATES. THEY CONTAIN SOME AMMO.";
								obj_storyGame.bullets += irandom_range(5, 20);
								break;
							case 2:
								global.answer = "YOU OPEN THE CRATES. THEY CONTAIN SOME GOLD.";
								obj_storyGame.points += 300;
								break;
							case 3:
								global.answer = "YOU TRY TO OPEN THE CRATES. THEY ARE TRAPS AND EXPLODE!";
								obj_storyGame.hitpoints -= irandom_range(15, 25);
								if (obj_storyGame.hitpoints < 0) {
									obj_storyGame.hitpoints = 0;
								}
								break;
						}
					} else {
						global.answer = "YOU OPENED THE CRATES ALREADY";
					}
				} else {
					global.answer = "THERE ARE NO CRATES TO OPEN";
				}
				
				break;
				
			case "EXIT":
			case "MENU":
			case "END":
			case "CLOSE":
				audio_stop_all();
				room_goto(rm_game);
				break;
				
			//THE EASTER EGG LAIR
			case "SUICIDE":
			case "KILL SELF":
			case "KILL YOURSELF":
			case "KILL MYSELF":
			case "DIE":
				if (obj_storyGame.bullets != 0) {
					audio_play_sound(snd_shoot, 1, 0);
					obj_storyGame.reason = "EASY WAY OUT";
					global.answer = "AS YOU WISH.";
					obj_storyGame.bullets--;
					obj_storyGame.hitpoints = 0;
				} else {
					global.answer = "YOU ARE MISSING A KEY INGREDIENCE.";
				}
				break;
				
			case "AIMBOT":
				obj_storyGame.hitpoints = 0;
				obj_storyGame.points = 0;
				obj_storyGame.reason = "VAC BAN";
				
				global.answer = "YOU GET VAC BANNED IMMEDIATELY.";
				break;
				
			case "DROP":
				global.answer = "WRONG GAME, PAL.";
				break;
				
			case "GIVE ME POINTS PLEASE":
				global.answer = "SINCE YOU ASKED SO NICELY.";
				obj_storyGame.points += 10000;
				break;
				
			default:
				audio_play_sound(snd_terminalError, 1, 0);
				typeOffset = 0;
				break;
		}
		command = "";
		typeOffset = 0;
	}
}