/// @description Generate a random query

//generate random seeds
randomEntr = irandom(entranceCount);
randomProp = irandom(roomPropertiesCount);
randomDesc = irandom(roomDescCount);
randomItem = irandom(itemCount);
global.randAmount = irandom_range(2, 5);

query = entrances[randomEntr] +
		roomProperties[randomProp] +
		roomDesc[randomDesc] +
		string(global.randAmount) +
		items[randomItem] +
		question;
		
//set global registers to allow for correct interaction

//reset flags
global.isMessy = 0;
global.isClean = 0;
global.isDark = 0;
global.isNarrow = 0;
global.isBright = 0;
global.isLarge = 0;
global.roomChecked = 0;

//set pickup flags
global.hasAmmo = (randomItem == 0) ? 1 : 0;
global.hasCrates = (randomItem == 1) ? 1 : 0;
global.cratesOpened = 0;
global.hasMedkits = (randomItem == 2) ? 1 : 0;

//set room description and properties
switch (randomProp) {
	case 0:
		global.roomstate = "THE ROOM SEEMS TO BE VERY DIRTY. DIRT IS COVERING THE WALLS AND YOU SMELL A FOUL ODOR."; 
		global.isMessy = 1;
		break;
	case 1:
		global.roomstate = "THE ROOM IS PRETTY EMPTY. THE FLOOR IS ALMOST PERFECTLY CLEAN.";
		global.isClean = 1;
		break;
	case 2:
		global.roomstate = "THE ROOM LOOKS VERY AVERAGE, BUT UNUSUALLY NARROW.";
		global.isNarrow = 1;
		break;
	case 3:
		global.roomstate = "THE ROOM IS RATHER MESSY. A LAYER OF DUST IS VISIBLE EVERYWHERE.";
		global.isMessy = 1;
		break;
		
	case 4:
		global.roomstate = "YOU CAN'T SEE MUCH AS THE ROOM DOES NOT HAVE A LIGHT SOURCE. YOU CAN ONLY MAKE OUT SHAPES.";
		global.isDark = 1;
		break;
		
	case 5:
		global.roomstate = "YOU CLENCH YOUR EYES BECAUSE THE ROOM IS BRIGHTLY LIT. THE WALLS SEEM TO REFLECT THE LIGHT, MAKING IT VERY HARD TO SEE.";
		global.isBright = 1;
		break;
		
	case 6:
		global.roomstate = "THE ROOM IS EXTREMELY LARGE. YOUR STEPS ECHO AS YOU MAKE YOUR WAY INTO THE ROOM.";
		global.isLarge = 1;
		break;
	
	default:
		global.roomstate = "THE ROOM SEEMS TO DEFY THE RULES OF THE GAME BY HAVING NO DESCRIPTION. PLEASE REPORT THIS. (Room Desc code: " + string(randomProp) + ")";
		break;
}		
		
if (!instance_exists(obj_blinkybox_game)) {
	instance_create_layer(20, 400, "main", obj_blinkybox_game);
}